---
id: restart
title: restart
hide_title: true
hide_table_of_contents: true
sidebar_label: restart
description: Restart the device
---
## ipsw idev diag restart

Restart the device

```
ipsw idev diag restart [flags]
```

### Options

```
  -h, --help   help for restart
```

### Options inherited from parent commands

```
      --color           colorize output
      --config string   config file (default is $HOME/.config/ipsw/config.yaml)
      --no-color        disable colorize output
  -u, --udid string     Device UniqueDeviceID to connect to
  -V, --verbose         verbose output
```

### SEE ALSO

* [ipsw idev diag](/docs/cli/ipsw/idev/diag)	 - Diagnostics commands

